Subject: Re: bug#45705: [feature/native-comp] Excessive memory consumption on windows 10

From: Andrea Corallo <[email-masked]>
Date: Thu, 07 Jan 2021 14:25:26 +0000

Andrea Corallo via "Bug reports for GNU Emacs, the Swiss army knife of
text editors" <[email-masked]> writes:

> Édouard Debry <[email-masked]> writes:
>
>> Hello,
>>
>> On windows 10, I noticed that emacs could use a lot of memory, up to
>> 6Go and
>> sometimes more. The memory consumption goes up and down from time to
>> time while
>> I am not running any specific program in emacs, apart `lsp-java`
>>
>> As my personal computer has 16Go of RAM, I can afford
>> it. Unfortunately, my work
>> computer has much less and the whole compute completely freezes at one
>> point
>> when using emacs.
>>
>> I did not notice that behavior on linux. I do not know if the master
>> branch has
>> the same problem. What could be the problem ?
>
> Hi Édouard,
>
> AFAIK was never proved recently Emacs garbage collector is failing to
> recall memory, so I guess this is just some Lisp program that is
> allocating a lot of memory keeping then those objects referenced.
>
> Others may have more detaliled info about.
>
>   Andrea
>

IOW I believe this is a duplicate of bug#43389.  Should we merge these?

  Andrea